Skip to content
Permalink
main
Switch branches/tags
Go to file
 
 
Cannot retrieve contributors at this time
826 lines (505 sloc) 93.9 KB

Changelog

2.12.0 (2022-05-19)

Features

  • add build scripts for native image testing in Java 17 (#1440) (#697) (f10ec4e)

Dependencies

2.11.0 (2022-05-18)

Features

  • next release from main branch is 2.11.0 (#674) (611e3b7)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.3 (#689) (03897e3)
  • update dependency com.google.api-client:google-api-client-bom to v1.34.1 (#685) (9bc0557)
  • update dependency com.google.api:api-common to v2.2.0 (#690) (47a8736)
  • update dependency com.google.auth:google-auth-library-bom to v1.7.0 (#691) (ec6aab7)
  • update dependency com.google.errorprone:error_prone_annotations to v2.13.1 (#672) (8c7e530)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.8 (#684) (1305356)
  • update dependency com.google.protobuf:protobuf-bom to v3.20.1 (#678) (3e6d4a1)
  • update dependency io.grpc:grpc-bom to v1.46.0 (#680) (b8a052b)
  • update dependency org.checkerframework:checker-qual to v3.22.0 (#683) (b0a30cd)
  • update gax.version to v2.17.0 (#687) (e0e89ea)
  • update gax.version to v2.18.0 (#692) (9536612)
  • update google.core.version to v2.6.1 (#671) (e3d1aeb)
  • update google.core.version to v2.7.0 (#693) (2171677)
  • update iam.version to v1.3.2 (#673) (9882baa)
  • update iam.version to v1.3.3 (#679) (9fe34c8)
  • update iam.version to v1.3.4 (#686) (4e95b3a)
  • update opencensus.version to v0.31.1 (#682) (5d25746)

2.10.0 (2022-04-15)

Dependencies

  • google-cloud-core 2.6.0 (#668) (22f4d18)
  • reverting protobuf to 3.19.4 (#657) (8501e6d)
  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.2.20220328 (#646) (7bfd6d7)
  • update dependency com.google.api-client:google-api-client-bom to v1.34.0 (#662) (1b8e378)
  • update dependency com.google.errorprone:error_prone_annotations to v2.12.1 (#652) (1cc80ee)
  • update dependency com.google.errorprone:error_prone_annotations to v2.13.0 (#669) (61b7834)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.6 (#654) (140ef40)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.7 (#658) (f6f93e5)
  • update dependency com.google.oauth-client:google-oauth-client-bom to v1.33.2 (#655) (20cd9ed)
  • update dependency com.google.oauth-client:google-oauth-client-bom to v1.33.3 (#663) (f011a46)
  • update dependency com.google.protobuf:protobuf-bom to v3.20.0 (#651) (ad2ff73)
  • update dependency io.grpc:grpc-bom to v1.45.1 (#647) (38e46fc)
  • update dependency org.checkerframework:checker-qual to v3.21.4 (#650) (125e80a)
  • update gax.version to v2.15.0 (#649) (c7f32a6)
  • update gax.version to v2.16.0 (#664) (caaf941)
  • update google.common-protos.version to v2.8.1 (#656) (df4a4a2)
  • update google.common-protos.version to v2.8.2 (#659) (b499e2b)
  • update google.common-protos.version to v2.8.3 (#660) (461081c)
  • update iam.version to v1.3.0 (#648) (6670c4f)
  • update iam.version to v1.3.1 (#661) (cc8fbe6)

2.9.0 (2022-03-28)

Dependencies

  • guava 31.1 (#635) (0939b06)
  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.2 (#626) (6014663)
  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.2.20220324 (#636) (6c833fa)
  • update dependency com.google.api-client:google-api-client-bom to v1.33.4 (#642) (57bd912)
  • update dependency com.google.api:api-common to v2.1.5 (#637) (d3a00fa)
  • update dependency com.google.auth:google-auth-library-bom to v1.6.0 (#631) (53dc7c2)
  • update dependency com.google.cloud:google-cloud-core-bom to v2.5.11 (#644) (4331dcc)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.5 (#638) (e007d23)
  • update dependency io.grpc:grpc-bom to v1.45.0 (#630) (20334e3)
  • update dependency org.threeten:threetenbp to v1.6.0 (#633) (1a2716d)
  • update gax.version to v2.13.0 (#641) (b863746)
  • update google.common-protos.version to v2.8.0 (#639) (252afba)
  • update google.core.version to v2.5.10 (#628) (fec6f51)
  • update iam.version to v1.2.10 (#625) (0d7ca29)

2.8.0 (2022-03-02)

Dependencies

  • update dependency com.google.api-client:google-api-client-bom to v1.33.2 (#602) (85b132f)
  • update dependency com.google.api:api-common to v2.1.4 (#605) (ca7d49a)
  • update dependency com.google.auth:google-auth-library-bom to v1.5.3 (#614) (e6413f3)
  • update dependency com.google.cloud:google-cloud-core to v2.5.6 (#621) (3d5669f)
  • update dependency com.google.code.gson:gson to v2.9.0 (#611) (f59c28d)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.4 (#608) (f9a4f23)
  • update dependency com.google.oauth-client:google-oauth-client-bom to v1.33.1 (#606) (3882494)
  • update dependency com.google.protobuf:protobuf-bom to v3.19.4 (#593) (1e155bf)
  • update dependency io.grpc:grpc-bom to v1.44.1 (#613) (3038a2c)
  • update dependency junit:junit to v4.13.2 (#607) (987e617)
  • update dependency org.checkerframework:checker-qual to v3.21.3 (#596) (ac5083c)
  • update gax.version to v2.12.2 (#592) (713ff8d)
  • update google.common-protos.version to v2.7.4 (#603) (bb9b4c7)
  • update google.core.version (#599) (327d0df)
  • update iam.version to v1.2.6 (#598) (2801439)

2.7.0 (2022-01-28)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.1 (#555) (67b5663)
  • update dependency com.google.api-client:google-api-client-bom to v1.33.1 (#580) (895dba2)
  • update dependency com.google.api:api-common to v2.1.3 (#587) (5dbbce8)
  • update dependency com.google.auth:google-auth-library-bom to v1.4.0 (#578) (c274c62)
  • update dependency com.google.errorprone:error_prone_annotations to v2.11.0 (#582) (314da38)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.2 (#579) (c8df06d)
  • update dependency com.google.oauth-client:google-oauth-client-bom to v1.33.0 (#576) (3315988)
  • update dependency com.google.protobuf:protobuf-bom to v3.19.3 (#571) (c1931e1)
  • update dependency io.grpc:grpc-bom to v1.44.0 (#586) (52c47b7)
  • update dependency org.checkerframework:checker-qual to v3.21.1 (#554) (81bbb91)
  • update gax.version to v2.11.0 (#581) (1899612)
  • update gax.version to v2.9.0 (#573) (ee5e38e)
  • update google.common-protos.version to v2.7.2 (#588) (caac0e6)
  • update google.core.version to v2.4.0 (#589) (6a292e3)
  • update iam.version to v1.2.1 (#569) (62dd270)
  • update opencensus.version to v0.30.0 (#552) (ebae62e)
  • update opencensus.version to v0.31.0 (#585) (021b066)

2.6.0 (2022-01-07)

Bug Fixes

Dependencies

  • gRPC upgrade to 1.43.2 (#567) (c946655)
  • update dependency com.google.api-client:google-api-client-bom to v1.33.0 (#563) (0aedddb)
  • update dependency com.google.api:api-common to v2.1.2 (2f154a3)
  • update dependency com.google.http-client:google-http-client-bom to v1.41.0 (#562) (6da0735)
  • update dependency io.grpc:grpc-bom to v1.43.1 (#553) (b787c8f)
  • update dependency org.apache.httpcomponents:httpcore to v4.4.15 (#550) (e2d3dba)
  • update dependency org.checkerframework:checker-qual to v3.20.0 (#549) (586df59)
  • update gax.version to v2.8.0 (#564) (9ad5d4f)
  • update gax.version to v2.8.1 (2f154a3)
  • update google.common-protos.version to v2.7.1 (#561) (9aa860d)
  • update google.core.version to v2.3.5 (#565) (2f154a3)
  • update iam.version to v1.2.0 (#547) (3232c82)
  • upgrading protobuf to 3.19.2 (#560) (7ef3325)

2.5.1 (2021-12-03)

Dependencies

  • update dependency com.google.api:api-common to v2.1.1 (#533) (4e23adb)
  • update gax.version to v2.7.1 (#544) (5a0c480)
  • update google.common-protos.version to v2.7.0 (#542) (af97eb5)
  • update google.core.version to v2.3.3 (#534) (885acef)

2.5.0 (2021-11-12)

Features

  • next release from main branch is 2.5.0 (#510) (ca9eb8a)

Bug Fixes

  • dependencies.sh to work with Java 17 (#516) (8422c1d)

Dependencies

  • update dependency com.google.api:api-common to v2.1.0 (#508) (ae32d16)
  • update dependency com.google.auth:google-auth-library-bom to v1.2.2 (#506) (b9a8209)
  • update dependency com.google.auth:google-auth-library-bom to v1.3.0 (#524) (fc07879)
  • update dependency com.google.code.gson:gson to v2.8.9 (#509) (bece99b)
  • update dependency com.google.errorprone:error_prone_annotations to v2.10.0 (#512) (c281f13)
  • update dependency com.google.protobuf:protobuf-bom to v3.19.1 (#505) (94cde96)
  • update dependency io.grpc:grpc-bom to v1.42.1 (#513) (0d2b774)
  • update dependency org.checkerframework:checker-qual to v3.19.0 (#501) (2b3e0b5)
  • update dependency org.threeten:threetenbp to v1.5.2 (#514) (4885f40)
  • update gax.version to v2.7.0 (#515) (567e728)
  • update google.core.version to v2.3.0 (#530) (78e87e9)
  • update iam.version to v1.1.7 (#504) (63dd583)

2.4.0 (2021-10-18)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.13.0 (dba11b5)
  • update dependency com.google.api-client:google-api-client-bom to v1.32.2 (dba11b5)
  • update dependency com.google.api:api-common to v2.0.5 (dba11b5)
  • update dependency com.google.auth:google-auth-library-bom to v1.2.1 (dba11b5)
  • update dependency com.google.guava:guava-bom to v31 (#498) (dba11b5)
  • update dependency com.google.http-client:google-http-client-bom to v1.40.1 (dba11b5)
  • update dependency com.google.protobuf:protobuf-bom to v3.18.1 (#494) (a30e376)
  • update dependency io.grpc:grpc-bom to v1.41.0 (#482) (8a7d227)
  • update gax.version to v2.6.1 (dba11b5)
  • update iam.version to v1.1.6 (#485) (cef7e09)

2.3.0 (2021-09-22)

Dependencies

2.2.1 (2021-09-13)

Dependencies

2.2.0 (2021-08-31)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.5 (#456) (05b58e8)
  • update dependency com.google.api:api-common to v2.0.2 (#450) (51caebe)
  • update dependency com.google.http-client:google-http-client-bom to v1.40.0 (#455) (82a5e42)
  • update dependency com.google.oauth-client:google-oauth-client-bom to v1.32.1 (#447) (9d2b895)
  • update dependency io.grpc:grpc-bom to v1.40.1 (#451) (df668ea)
  • update gax.version to v2.4.0 (#458) (a797d9e)
  • update google.common-protos.version to v2.5.0 (#457) (38c7bb9)
  • update google.core.version to v2.1.1 (#449) (b28723a)
  • update google.core.version to v2.1.2 (#459) (df4d5b7)
  • update iam.version to v1.1.0 (#448) (3967928)

2.1.0 (2021-08-23)

Dependencies

  • update dependency com.google.auth:google-auth-library-bom to v1.1.0 (#439) (ca52bd9)
  • update dependency com.google.cloud:google-cloud-core-bom to v2.1.0 (#444) (ff914c6)
  • update dependency com.google.code.gson:gson to v2.8.8 (#442) (79a093f)
  • update dependency com.google.errorprone:error_prone_annotations to v2.9.0 (#441) (e644a4b)
  • update dependency io.grpc:grpc-bom to v1.40.0 (#438) (c3f8fb4)
  • update gax.version to v2.3.0 (#437) (e59aaad)

2.0.1 (2021-08-11)

Dependencies

  • update dependency com.google.api:api-common to v2.0.1 (#431) (b1a52c8)
  • update gax.version to v2.1.0 (#432) (7f53006)
  • update google.core.version to v2.0.4 (#430) (d0465ad)
  • update google.core.version to v2.0.5 (#434) (af00753)

2.0.0 (2021-08-03)

BREAKING CHANGES

  • promote to 2.0.0 (#428)

Features

Documentation

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.4 (#398) (f0d49b5)
  • update dependency com.google.api:api-common to v1.10.6 (#411) (79801b5)
  • update dependency com.google.api:api-common to v2 (#414) (17f6e68)
  • update dependency com.google.auth:google-auth-library-bom to v0.27.0 (#400) (0d5a95b)
  • update dependency com.google.auth:google-auth-library-bom to v1 (#413) (94897d3)
  • update dependency com.google.cloud:grpc-gcp to v1.1.0 (#403) (3cc59f1)
  • update dependency com.google.errorprone:error_prone_annotations to v2.8.0 (#406) (2905787)
  • update dependency com.google.errorprone:error_prone_annotations to v2.8.1 (#426) (853b68b)
  • update gax.version to v1.67.0 (#405) (632dcd0)
  • update gax.version to v2 (major) (#418) (670a9e0)
  • update google.core.version to v1.96.1 (#417) (49db9cb)
  • update google.core.version to v2 (major) (#427) (8cc7a92)
  • update guava to 30.1.1-jre (#423) (94aca59)

1.4.0 (2021-06-30)

Features

  • add grpc-gcp to dependencyManagement (#389) (57fd2e6)

Bug Fixes

  • Add shopt -s nullglob to dependencies script (#392) (f8f29df)
  • Add common httpclient and oauth dependencies (#391) (09660e1)
  • Update dependencies.sh to not break on mac (#384) (0ae2841)

Dependencies

  • update dependency com.google.api-client:google-api-client-bom to v1.32.1 (#390) (00288c1)
  • update dependency com.google.api:api-common to v1.10.4 (#385) (5f2b39b)
  • update dependency com.google.api:gax-grpc to v1.65.1 (#382) (a2a1547)
  • update dependency com.google.protobuf:protobuf-bom to v3.17.3 (#379) (6f43eb5)
  • update dependency io.grpc:grpc-bom to v1.38.1 (#386) (7b1d4cf)
  • update dependency io.grpc:grpc-bom to v1.39.0 (#394) (ebc8af6)
  • update gax.version to v1.66.0 (#395) (c73f73e)
  • update google.core.version to v1.95.1 (#381) (4496153)
  • update google.core.version to v1.95.2 (#383) (7216859)
  • update google.core.version to v1.95.3 (#388) (354e4e8)
  • update google.core.version to v1.95.4 (#393) (be78ad8)

1.3.0 (2021-06-03)

Features

  • add gcf-owl-bot[bot] to ignoreAuthors (#365) (7e8309b)

Dependencies

  • update dependency com.google.auth:google-auth-library-bom to v0.26.0 (#368) (38256a8)
  • update dependency com.google.cloud:google-cloud-core-bom to v1.95.0 (#377) (297ea62)
  • update dependency com.google.code.gson:gson to v2.8.7 (#370) (cdc1b8e)
  • update dependency com.google.protobuf:protobuf-bom to v3.17.1 (#369) (5a19574)
  • update dependency com.google.protobuf:protobuf-bom to v3.17.2 (#374) (83516e6)
  • update dependency io.grpc:grpc-bom to v1.38.0 (#364) (00db570)
  • update gax.version to v1.65.0 (#376) (b793a0d)
  • update google.common-protos.version to v2.3.1 (#366) (7d6a7fa)
  • update google.common-protos.version to v2.3.2 (#375) (68a47ad)

1.2.0 (2021-05-18)

Dependencies

  • update dependency com.google.api-client:google-api-client-bom to v1.31.5 (#353) (8d72ab0)
  • update dependency com.google.errorprone:error_prone_annotations to v2.7.1 (#360) (8f952d0)
  • update dependency com.google.protobuf:protobuf-bom to v3.17.0 (#355) (09858fb)
  • update dependency io.grpc:grpc-bom to v1.37.1 (#359) (bc9869e)
  • update google.common-protos.version to v2.2.1 (#358) (a3ed764)
  • update iam.version to v1.0.14 (#352) (bea9a01)

1.1.0 (2021-05-10)

Dependencies

  • update dependency com.google.protobuf:protobuf-bom to v3.16.0 (#348) (0aacfde)
  • update gax.version to v1.64.0 (#345) (478bd35)
  • update iam.version to v1.0.13 (#343) (3637923)

1.0.0 (2021-04-23)

Features

Dependencies

  • update dependency com.google.api:api-common to v1.10.3 (#340) (6a7fc33)
  • update dependency com.google.auth:google-auth-library-bom to v0.25.4 (#334) (e5c747d)
  • update dependency com.google.auth:google-auth-library-bom to v0.25.5 (#338) (ffa1df5)
  • update dependency org.threeten:threetenbp to v1.5.1 (#335) (c8c6df4)
  • update google.core.version to v1.94.8 (#342) (d946dd2)

0.21.1 (2021-04-19)

Bug Fixes

  • release scripts from issuing overlapping phases (#332) (e289825)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.3 (#329) (a77b4fc)
  • update dependency com.google.api-client:google-api-client-bom to v1.31.4 (#326) (409d24f)
  • update dependency com.google.auth:google-auth-library-bom to v0.25.3 (#328) (88cfc08)
  • update google.core.version to v1.94.7 (#324) (0412c88)
  • update iam.version to v1.0.12 (#327) (548d5f5)

0.21.0 (2021-04-09)

Dependencies

  • update dependency com.google.auth:google-auth-library-bom to v0.25.0 (#310) (8f3a0f0)
  • update dependency com.google.auth:google-auth-library-bom to v0.25.2 (#311) (6c47a3e)
  • update dependency com.google.errorprone:error_prone_annotations to v2.6.0 (#315) (dc254ca)
  • update dependency com.google.http-client:google-http-client-bom to v1.39.1 (#309) (37225e2)
  • update dependency com.google.http-client:google-http-client-bom to v1.39.2 (#321) (273c66d)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.6 (#308) (b29dd05)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.7 (#316) (9c00d77)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.8 (#319) (15e5ae2)
  • update dependency io.grpc:grpc-bom to v1.37.0 (#313) (c599351)
  • update gax.version to v1.63.0 (#318) (ba709da)
  • update google.core.version to v1.94.4 (#305) (0d38f4c)
  • update google.core.version to v1.94.5 (#320) (3439721)
  • update guava to 30.1.1-android (#322) (a6b5d3b)
  • update iam.version to v1.0.11 (#304) (95a5264)

0.20.1 (2021-03-09)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.2 (#301) (7c01eba)
  • update dependency com.google.api-client:google-api-client-bom to v1.31.3 (#295) (a0774e9)
  • update dependency com.google.api.grpc:grpc-google-iam-v1 to v1.0.10 (#292) (b629789)
  • update dependency com.google.auth:google-auth-library-bom to v0.24.1 (#293) (d85ec34)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.3 (#294) (58c01aa)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.5 (#302) (e9d5e6e)
  • update google.core.version to v1.94.2 (#296) (af83b90)
  • update google.core.version to v1.94.3 (#300) (3e73176)

0.20.0 (2021-02-25)

Dependencies

  • update dependency com.google.auth:google-auth-library-bom to v0.24.0 (#284) (5e4914c)
  • update dependency com.google.http-client:google-http-client-bom to v1.39.0 (#288) (70bb862)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.1 (#282) (44283bd)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.2 (#287) (bdae560)
  • update dependency io.grpc:grpc-bom to v1.36.0 (#285) (c59771b)
  • update gax.version to v1.62.0 (#291) (66bd070)
  • update google.common-protos.version to v2.1.0 (#289) (43c9f02)
  • update iam.version to v1.0.9 (#281) (ee44d0b)

0.19.0 (2021-02-19)

Bug Fixes

Dependencies

  • downgrade opencensus version back to 0.28.0 (#265) (f37025c)
  • update dependency com.google.api-client:google-api-client-bom to v1.31.2 (#254) (1b0b4a6)
  • update dependency com.google.auth:google-auth-library-bom to v0.23.0 (#261) (1c0b7bd)
  • update dependency com.google.cloud:google-cloud-core to v1.94.1 (#272) (44fd4c3)
  • update dependency com.google.errorprone:error_prone_annotations to v2.5.1 (#255) (6367023)
  • update dependency com.google.http-client:google-http-client-bom to v1.38.1 (#253) (ad87c74)
  • update dependency com.google.protobuf:protobuf-bom to v3.15.0 (#278) (989efbd)
  • update dependency io.grpc:grpc-bom to v1.35.0 (#248) (7a28c6e)
  • update gax.version to v1.61.0 (#277) (f1c3fb9)
  • update iam.version to v1.0.7 (#252) (5cb3ed9)
  • update iam.version to v1.0.8 (#273) (4d5e7f7)

0.18.0 (2021-01-13)

Features

  • add commons-codec to dependencyManagement (#251) (4ee990d)

Dependencies

  • update dependency com.google.errorprone:error_prone_annotations to v2.5.0 (#247) (37c0861)

0.17.1 (2021-01-12)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.1 (#245) (5ffc8a0)

0.17.0 (2020-12-15)

Dependencies

  • update dependency com.google.guava:guava-bom to v30.1-android (#236) (78ebf7f)
  • update dependency io.grpc:grpc-bom to v1.34.1 (#238) (ee7e020)
  • update iam.version to v1.0.5 (#237) (bbe6be6)

0.16.1 (2020-12-14)

Dependencies

  • rollback gRPC to 1.33.1 (#234) (67cc384)
  • update dependency com.google.auth:google-auth-library-bom to v0.22.1 (#229) (1c13161)
  • update dependency com.google.auth:google-auth-library-bom to v0.22.2 (#235) (67434eb)
  • update iam.version to v1.0.4 (#231) (5edf99e)

0.16.0 (2020-12-02)

Dependencies

  • update dependency com.fasterxml.jackson:jackson-bom to v2.12.0 (#225) (b78a1ef)
  • update dependency com.google.api-client:google-api-client-bom to v1.31.1 (#215) (08d643a)
  • update dependency com.google.protobuf:protobuf-bom to v3.14.0 (#217) (01a9c64)
  • update dependency io.grpc:grpc-bom to v1.34.0 (#228) (425d1ea)
  • update gax.version to v1.60.1 (#223) (84c75bd)
  • update google.core.version to v1.94.0 (#212) (764ef5e)

0.15.0 (2020-11-10)

Dependencies

  • update dependency com.google.http-client:google-http-client-bom to v1.38.0 (#207) (5e3198d)
  • update google.common-protos.version to v2.0.1 (#205) (6b12417)
  • update iam.version to v1.0.3 (#206) (94a4e31)

0.14.1 (2020-10-31)

Dependencies

  • update google.core.version to v1.93.10 (#200) (2d73dc1)

0.14.0 (2020-10-31)

Dependencies

  • update dependency io.grpc:grpc-bom to v1.33.1 (#192) (b29384d)
  • update dependency org.threeten:threetenbp to v1.5.0 (#196) (825a6fa)
  • update iam.version to v1.0.2 (#194) (5c57239)

0.13.0 (2020-10-20)

Features

  • add jackson-core to the list of managed dependencies (#190) (b37035e)

Dependencies

  • update dependency com.google.guava:guava-bom to v30 (#181) (bdb1e58)
  • update gax.version to v1.60.0 (#187) (8a8adf7)
  • update google.common-protos.version to v2 (#174) (3f7e3ff)

0.12.1 (2020-10-16)

Dependencies

  • update dependency com.google.api:api-common to v1.10.1 (#180) (b1f2d5d)

0.12.0 (2020-10-15)

Dependencies

  • update dependency com.google.api-client:google-api-client-bom to v1.30.11 (#169) (a1b18d1)
  • update dependency com.google.auth:google-auth-library-bom to v0.22.0 (#171) (0c7635a)

0.11.0 (2020-10-13)

Dependencies

  • update dependency com.google.http-client:google-http-client-bom to v1.37.0 (#166) (5721225)
  • update dependency io.grpc:grpc-bom to v1.32.2 (#165) (b70ddb0)

0.10.2 (2020-10-08)

Dependencies

  • update dependency org.threeten:threetenbp to v1.4.5 (#162) (54eccb5)

0.10.1 (2020-10-06)

Dependencies

0.10.0 (2020-09-23)

Features

Dependencies

  • update google.core.version to v1.93.9 (#148) (b2a680e)

0.9.1 (2020-09-23)

Dependencies

  • update dependency io.grpc:grpc-bom to v1.32.1 (#133) (cde0463)
  • update iam.version to v1.0.1 (#136) (162e2bd)

0.9.0 (2020-08-31)

Bug Fixes

  • temporarily disable reporting to unblock releases (#129) (7fff6f2)

Dependencies

  • update dependency com.google.protobuf:protobuf-bom to v3.13.0 (#126) (908063f)
  • update dependency io.grpc:grpc-bom to v1.31.1 (#124) (553a339)
  • update google.common-protos.version to v1.18.1 (#119) (05ad27e)
  • update google.core.version to v1.93.8 (f72cef3)
  • update iam.version to v0.15.0 (#118) (1409a16)
  • update iam.version to v1 (major) (#120) (a6243a0)

0.8.6 (2020-08-07)

Dependencies

0.8.5 (2020-08-07)

Dependencies

0.8.4 (2020-08-04)

Dependencies

  • update core dependencies (#104) (5046818)
  • update dependency com.google.api:api-common to v1.10.0 (#101) (6472fac)
  • update dependency com.google.protobuf:protobuf-bom to v3.12.4 (#103) (885bd0e)

0.8.3 (2020-07-09)

Dependencies

  • update core dependencies (#96) (978e69e)
  • update dependency com.google.api-client:google-api-client-bom to v1.30.10 (#99) (65c9cce)
  • update dependency com.google.api:api-common to v1.9.3 (#91) (2a23a50)

0.8.2 (2020-07-01)

Dependencies

  • update dependency com.google.auth:google-auth-library-bom to v0.21.0 (#86) (dc9d717)
  • update dependency com.google.http-client:google-http-client-bom to v1.36.0 (#89) (12437d7)
  • update dependency io.grpc:grpc-bom to v1.30.1 (#82) (a5199a0)
  • update dependency io.grpc:grpc-bom to v1.30.2 (#85) (084d18d)

0.8.1 (2020-06-13)

Reverts

  • Revert "feat: mark javax annotations scope as provided (#70)" (#75) (d2f23ec), closes #70 #75

0.8.0 (2020-06-12)

Features

  • mark javax annotations scope as provided (#70) (7bc7057)

Dependencies

  • update core dependencies to v1.93.6 (#74) (791639e)
  • update dependency com.google.api:api-common to v1.9.2 (#63) (ee92a0e)
  • update dependency io.grpc:grpc-bom to v1.30.0 (#68) (ccf2310)
  • update gax to v1.57.0 (#73) (b0ae1eb)

0.7.0 (2020-05-28)

Features

  • add core test classifier (needed by BQ) (#59) (a634d18)

Dependencies

  • update dependency com.google.protobuf:protobuf-bom to v3.12.2 (#57) (751f170)

0.6.0 (2020-05-27)

Features

  • add grpc-iam-v1 to keep version consistent w proto-iam-v1 (#55) (0fe26dd)

Dependencies

  • update core dependencies to v1.93.5 (#53) (9d8d4d6)
  • update dependency com.google.api:api-common to v1.9.1 (#51) (40276df)

0.5.0 (2020-05-26)

BREAKING CHANGES

  • remove certain test deps and autovalue (#49)
  • remove mockito-core (#44)

Features

Bug Fixes

  • remove grpc-testing since it's in grpc-bom (#50) (d7df346)

Dependencies

  • update dependency com.google.protobuf:protobuf-bom to v3.12.1 (#48) (d367a31)

0.4.0 (2020-05-18)

Features

Dependencies

  • update dependency com.google.protobuf:protobuf-bom to v3.12.0 (#38) (155653b)

0.3.1 (2020-05-13)

Dependencies

  • update autovalue.version to v1.7.2 (#35) (50a1511)

Documentation

  • update CONTRIBUTING.md to include code formatting (#534) (#34) (c916354)

0.3.0 (2020-05-05)

Features

  • add grpc-testing, mockito and truth extensions (#25) (e906514)

Dependencies

  • update autovalue.version to v1.7.1 (#29) (c9e80f8)
  • update dependency com.google.http-client:google-http-client-bom to v1.35.0 (#23) (e1775c2)
  • update dependency org.mockito:mockito-core to v3.3.3 (#27) (8dfa3a5)
  • update dependency org.threeten:threetenbp to v1.4.4 (#22) (4734794)
  • update google.common-protos.version to v1.18.0 (#30) (6cb6cc1)

0.2.0 (2020-04-22)

Features

  • add truth as a managed test scope dependency (#19) (36167bf)
  • import google-cloud-core-bom to include all google-cloud-core-* artifacts (#18) (ed3850c)
  • import protobuf-bom to manage all protobuf artifacts (#21) (dc0f1e0)

Dependencies

  • update dependency io.grpc:grpc-bom to v1.29.0 (#16) (eac0d44)

0.1.1 (2020-04-14)

Dependencies

  • update core dependencies (#2) (5589285)
  • update dependency com.google.cloud:google-cloud-core to v1.93.4 (#9) (882cdd6)
  • update dependency com.google.guava:guava-bom to v29 (#12) (9f844c4)
  • update dependency org.threeten:threetenbp to v1.4.3 (#7) (cd8d481)

0.1.0 (2020-03-30)

Features

Dependencies

  • update dependency com.google.api:api-common to v1.9.0 (#3) (4f6896a)
  • update dependency org.threeten:threetenbp to v1.4.2 (#4) (9446245)